import{s as Nt,n as Ht,o as Vt}from"../chunks/scheduler.69131cc3.js";import{S as St,i as Bt,g as o,s as a,r as d,A as Ot,h as c,f as r,c as n,j as v,u as g,x as b,k as _,y as t,a as l,v as m,d as p,t as u,w as h}from"../chunks/index.e1f30d73.js";import{D as k}from"../chunks/Docstring.ae1a1e2d.js";import{H as gt}from"../chunks/Heading.0aab6758.js";function Ut(mt){let M,Le,ye,we,D,Me,A,Ee,i,N,qe,Q,pt="A base Tracker class to be used for all logging integration implementations.",ze,Y,ut=`Each function should take in <code>**kwargs</code> that will automatically be passed in from a base dictionary provided to
<a href="/docs/accelerate/v0.26.1/en/package_reference/accelerator#accelerate.Accelerator">Accelerator</a>.`,Ge,Z,ht="Should implement <code>name</code>, <code>requires_logging_directory</code>, and <code>tracker</code> properties such that:",We,ee,ft=`<code>name</code> (<code>str</code>): String representation of the tracker class name, such as “TensorBoard” <code>requires_logging_directory</code>
(<code>bool</code>): Whether the logger requires a directory to store their logs. <code>tracker</code> (<code>object</code>): Should return internal
tracking mechanism used by a tracker class (such as the <code>run</code> for wandb)`,Fe,te,vt=`Implementations can also include a <code>main_process_only</code> (<code>bool</code>) attribute to toggle if relevent logging, init, and
other functions should occur on the main process or across all processes (by default will use <code>True</code>)`,Re,E,H,je,re,_t=`Should run any finalizing functions within the tracking API. If the API should not have one, just don’t
overwrite that method.`,Ke,C,V,Je,ae,kt="Logs <code>values</code> to the current run. Base <code>log</code> implementations of a tracking API should go in here, along with\nspecial behavior for the `step parameter.",Xe,P,S,Qe,ne,bt=`Logs <code>values</code> as hyperparameters for the run. Implementations should use the experiment configuration
functionality of a tracking API.`,Ce,B,Pe,T,O,Ye,oe,$t="A <code>Tracker</code> class that supports <code>tensorboard</code>. Should be initialized at the start of your script.",Ze,ce,U,Ie,y,q,et,se,Tt="A <code>Tracker</code> class that supports <code>wandb</code>. Should be initialized at the start of your script.",tt,ie,z,De,$,G,rt,le,yt="A <code>Tracker</code> class that supports <code>comet_ml</code>. Should be initialized at the start of your script.",at,de,xt="API keys must be stored in a Comet config file.",nt,ge,W,Ae,x,F,ot,me,Lt="A <code>Tracker</code> class that supports <code>aim</code>. Should be initialized at the start of your script.",ct,pe,R,Ne,L,j,st,ue,wt="A <code>Tracker</code> class that supports <code>mlflow</code>. Should be initialized at the start of your script.",it,he,K,He,w,J,lt,fe,Mt="A <code>Tracker</code> class that supports <code>clearml</code>. Should be initialized at the start of your script.",dt,ve,X,Ve,xe,Se;return D=new gt({props:{title:"Experiment Tracking",local:"experiment-tracking",headingTag:"h1"}}),A=new gt({props:{title:"The Base Tracker Class",local:"accelerate.tracking.GeneralTracker",headingTag:"h2"}}),N=new k({props:{name:"class accelerate.tracking.GeneralTracker",anchor:"accelerate.tracking.GeneralTracker",parameters:[{name:"_blank",val:" = False"}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L91"}}),H=new k({props:{name:"finish",anchor:"accelerate.tracking.GeneralTracker.finish",parameters:[],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L157"}}),V=new k({props:{name:"log",anchor:"accelerate.tracking.GeneralTracker.log",parameters:[{name:"values",val:": dict"},{name:"step",val:": typing.Optional[int]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.log.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>str</code>, <code>float</code>, or <code>int</code>) &#x2014;
Values to be logged as key-value pairs. The values need to have type <code>str</code>, <code>float</code>, or <code>int</code>.`,name:"values"},{anchor:"accelerate.tracking.GeneralTracker.log.step",description:`<strong>step</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The run step. If included, the log will be affiliated with this step.`,name:"step"}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L144"}}),S=new k({props:{name:"store_init_configuration",anchor:"accelerate.tracking.GeneralTracker.store_init_configuration",parameters:[{name:"values",val:": dict"}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.store_init_configuration.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>bool</code>, <code>str</code>, <code>float</code> or <code>int</code>) &#x2014;
Values to be stored as initial hyperparameters as key-value pairs. The values need to have type <code>bool</code>,
<code>str</code>, <code>float</code>, <code>int</code>, or <code>None</code>.`,name:"values"}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L132"}}),B=new gt({props:{title:"Integrated Trackers",local:"accelerate.tracking.TensorBoardTracker",headingTag:"h2"}}),O=new k({props:{name:"class accelerate.tracking.TensorBoardTracker",anchor:"accelerate.tracking.TensorBoardTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.TensorBoardTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run`,name:"run_name"},{anchor:"accelerate.tracking.TensorBoardTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code>, <code>os.PathLike</code>) &#x2014;
Location for TensorBoard logs to be stored.
kwargs &#x2014;
Additional key word arguments passed along to the <code>tensorboard.SummaryWriter.__init__</code> method.`,name:"logging_dir"}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L165"}}),U=new k({props:{name:"__init__",anchor:"accelerate.tracking.TensorBoardTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike]"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L181"}}),q=new k({props:{name:"class accelerate.tracking.WandBTracker",anchor:"accelerate.tracking.WandBTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.WandBTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>wandb.init</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L276"}}),z=new k({props:{name:"__init__",anchor:"accelerate.tracking.WandBTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L291"}}),G=new k({props:{name:"class accelerate.tracking.CometMLTracker",anchor:"accelerate.tracking.CometMLTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.CometMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>Experiment.__init__</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L399"}}),W=new k({props:{name:"__init__",anchor:"accelerate.tracking.CometMLTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L415"}}),F=new k({props:{name:"class accelerate.tracking.AimTracker",anchor:"accelerate.tracking.AimTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = '.'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.AimTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.
kwargs &#x2014;
Additional key word arguments passed along to the <code>Run.__init__</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L480"}}),R=new k({props:{name:"__init__",anchor:"accelerate.tracking.AimTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = '.'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L494"}}),j=new k({props:{name:"class accelerate.tracking.MLflowTracker",anchor:"accelerate.tracking.MLflowTracker",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = None"},{name:"run_id",val:": typing.Optional[str] = None"},{name:"tags",val:": typing.Union[typing.Dict[str, typing.Any], str, NoneType] = None"},{name:"nested_run",val:": typing.Optional[bool] = False"},{name:"run_name",val:": typing.Optional[str] = None"},{name:"description",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"accelerate.tracking.MLflowTracker.experiment_name",description:`<strong>experiment_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variable MLFLOW_EXPERIMENT_NAME has priority over this argument.`,name:"experiment_name"},{anchor:"accelerate.tracking.MLflowTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code> or <code>os.PathLike</code>, defaults to <code>&quot;.&quot;</code>) &#x2014;
Location for mlflow logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.MLflowTracker.run_id",description:`<strong>run_id</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, get the run with the specified UUID and log parameters and metrics under that run. The run&#x2019;s
end time is unset and its status is set to running, but the run&#x2019;s other attributes (source_version,
source_type, etc.) are not changed. Environment variable MLFLOW_RUN_ID has priority over this argument.`,name:"run_id"},{anchor:"accelerate.tracking.MLflowTracker.tags",description:`<strong>tags</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
An optional <code>dict</code> of <code>str</code> keys and values, or a <code>str</code> dump from a <code>dict</code>, to set as tags on the run. If a
run is being resumed, these tags are set on the resumed run. If a new run is being created, these tags are
set on the new run. Environment variable MLFLOW_TAGS has priority over this argument.`,name:"tags"},{anchor:"accelerate.tracking.MLflowTracker.nested_run",description:`<strong>nested_run</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Controls whether run is nested in parent run. True creates a nested run. Environment variable
MLFLOW_NESTED_RUN has priority over this argument.`,name:"nested_run"},{anchor:"accelerate.tracking.MLflowTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of new run (stored as a mlflow.runName tag). Used only when <code>run_id</code> is unspecified.`,name:"run_name"},{anchor:"accelerate.tracking.MLflowTracker.description",description:`<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;
An optional string that populates the description box of the run. If a run is being resumed, the
description is set on the resumed run. If a new run is being created, the description is set on the new
run.`,name:"description"}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L579"}}),K=new k({props:{name:"__init__",anchor:"accelerate.tracking.MLflowTracker.__init__",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = None"},{name:"run_id",val:": typing.Optional[str] = None"},{name:"tags",val:": typing.Union[typing.Dict[str, typing.Any], str, NoneType] = None"},{name:"nested_run",val:": typing.Optional[bool] = False"},{name:"run_name",val:": typing.Optional[str] = None"},{name:"description",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L610"}}),J=new k({props:{name:"class accelerate.tracking.ClearMLTracker",anchor:"accelerate.tracking.ClearMLTracker",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.ClearMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variables <code>CLEARML_PROJECT</code> and <code>CLEARML_TASK</code> have priority over this
argument.
kwargs &#x2014;
Kwargs passed along to the <code>Task.__init__</code> method.`,name:"run_name"}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L724"}}),X=new k({props:{name:"__init__",anchor:"accelerate.tracking.ClearMLTracker.__init__",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.26.1/src/accelerate/tracking.py#L739"}}),{c(){M=o("meta"),Le=a(),ye=o("p"),we=a(),d(D.$$.fragment),Me=a(),d(A.$$.fragment),Ee=a(),i=o("div"),d(N.$$.fragment),qe=a(),Q=o("p"),Q.textContent=pt,ze=a(),Y=o("p"),Y.innerHTML=ut,Ge=a(),Z=o("p"),Z.innerHTML=ht,We=a(),ee=o("p"),ee.innerHTML=ft,Fe=a(),te=o("p"),te.innerHTML=vt,Re=a(),E=o("div"),d(H.$$.fragment),je=a(),re=o("p"),re.textContent=_t,Ke=a(),C=o("div"),d(V.$$.fragment),Je=a(),ae=o("p"),ae.innerHTML=kt,Xe=a(),P=o("div"),d(S.$$.fragment),Qe=a(),ne=o("p"),ne.innerHTML=bt,Ce=a(),d(B.$$.fragment),Pe=a(),T=o("div"),d(O.$$.fragment),Ye=a(),oe=o("p"),oe.innerHTML=$t,Ze=a(),ce=o("div"),d(U.$$.fragment),Ie=a(),y=o("div"),d(q.$$.fragment),et=a(),se=o("p"),se.innerHTML=Tt,tt=a(),ie=o("div"),d(z.$$.fragment),De=a(),$=o("div"),d(G.$$.fragment),rt=a(),le=o("p"),le.innerHTML=yt,at=a(),de=o("p"),de.textContent=xt,nt=a(),ge=o("div"),d(W.$$.fragment),Ae=a(),x=o("div"),d(F.$$.fragment),ot=a(),me=o("p"),me.innerHTML=Lt,ct=a(),pe=o("div"),d(R.$$.fragment),Ne=a(),L=o("div"),d(j.$$.fragment),st=a(),ue=o("p"),ue.innerHTML=wt,it=a(),he=o("div"),d(K.$$.fragment),He=a(),w=o("div"),d(J.$$.fragment),lt=a(),fe=o("p"),fe.innerHTML=Mt,dt=a(),ve=o("div"),d(X.$$.fragment),Ve=a(),xe=o("p"),this.h()},l(e){const s=Ot("svelte-u9bgzb",document.head);M=c(s,"META",{name:!0,content:!0}),s.forEach(r),Le=n(e),ye=c(e,"P",{}),v(ye).forEach(r),we=n(e),g(D.$$.fragment,e),Me=n(e),g(A.$$.fragment,e),Ee=n(e),i=c(e,"DIV",{class:!0});var f=v(i);g(N.$$.fragment,f),qe=n(f),Q=c(f,"P",{"data-svelte-h":!0}),b(Q)!=="svelte-m7ldax"&&(Q.textContent=pt),ze=n(f),Y=c(f,"P",{"data-svelte-h":!0}),b(Y)!=="svelte-1q1q7uq"&&(Y.innerHTML=ut),Ge=n(f),Z=c(f,"P",{"data-svelte-h":!0}),b(Z)!=="svelte-sgpklc"&&(Z.innerHTML=ht),We=n(f),ee=c(f,"P",{"data-svelte-h":!0}),b(ee)!=="svelte-fdst8q"&&(ee.innerHTML=ft),Fe=n(f),te=c(f,"P",{"data-svelte-h":!0}),b(te)!=="svelte-189sskg"&&(te.innerHTML=vt),Re=n(f),E=c(f,"DIV",{class:!0});var Be=v(E);g(H.$$.fragment,Be),je=n(Be),re=c(Be,"P",{"data-svelte-h":!0}),b(re)!=="svelte-va87im"&&(re.textContent=_t),Be.forEach(r),Ke=n(f),C=c(f,"DIV",{class:!0});var Oe=v(C);g(V.$$.fragment,Oe),Je=n(Oe),ae=c(Oe,"P",{"data-svelte-h":!0}),b(ae)!=="svelte-czjed5"&&(ae.innerHTML=kt),Oe.forEach(r),Xe=n(f),P=c(f,"DIV",{class:!0});var Ue=v(P);g(S.$$.fragment,Ue),Qe=n(Ue),ne=c(Ue,"P",{"data-svelte-h":!0}),b(ne)!=="svelte-ijycp8"&&(ne.innerHTML=bt),Ue.forEach(r),f.forEach(r),Ce=n(e),g(B.$$.fragment,e),Pe=n(e),T=c(e,"DIV",{class:!0});var _e=v(T);g(O.$$.fragment,_e),Ye=n(_e),oe=c(_e,"P",{"data-svelte-h":!0}),b(oe)!=="svelte-4bz4fo"&&(oe.innerHTML=$t),Ze=n(_e),ce=c(_e,"DIV",{class:!0});var Et=v(ce);g(U.$$.fragment,Et),Et.forEach(r),_e.forEach(r),Ie=n(e),y=c(e,"DIV",{class:!0});var ke=v(y);g(q.$$.fragment,ke),et=n(ke),se=c(ke,"P",{"data-svelte-h":!0}),b(se)!=="svelte-1funvbl"&&(se.innerHTML=Tt),tt=n(ke),ie=c(ke,"DIV",{class:!0});var Ct=v(ie);g(z.$$.fragment,Ct),Ct.forEach(r),ke.forEach(r),De=n(e),$=c(e,"DIV",{class:!0});var I=v($);g(G.$$.fragment,I),rt=n(I),le=c(I,"P",{"data-svelte-h":!0}),b(le)!=="svelte-46z6qn"&&(le.innerHTML=yt),at=n(I),de=c(I,"P",{"data-svelte-h":!0}),b(de)!=="svelte-1byed2r"&&(de.textContent=xt),nt=n(I),ge=c(I,"DIV",{class:!0});var Pt=v(ge);g(W.$$.fragment,Pt),Pt.forEach(r),I.forEach(r),Ae=n(e),x=c(e,"DIV",{class:!0});var be=v(x);g(F.$$.fragment,be),ot=n(be),me=c(be,"P",{"data-svelte-h":!0}),b(me)!=="svelte-1wn9vfq"&&(me.innerHTML=Lt),ct=n(be),pe=c(be,"DIV",{class:!0});var It=v(pe);g(R.$$.fragment,It),It.forEach(r),be.forEach(r),Ne=n(e),L=c(e,"DIV",{class:!0});var $e=v(L);g(j.$$.fragment,$e),st=n($e),ue=c($e,"P",{"data-svelte-h":!0}),b(ue)!=="svelte-109p8cy"&&(ue.innerHTML=wt),it=n($e),he=c($e,"DIV",{class:!0});var Dt=v(he);g(K.$$.fragment,Dt),Dt.forEach(r),$e.forEach(r),He=n(e),w=c(e,"DIV",{class:!0});var Te=v(w);g(J.$$.fragment,Te),lt=n(Te),fe=c(Te,"P",{"data-svelte-h":!0}),b(fe)!=="svelte-b632ft"&&(fe.innerHTML=Mt),dt=n(Te),ve=c(Te,"DIV",{class:!0});var At=v(ve);g(X.$$.fragment,At),At.forEach(r),Te.forEach(r),Ve=n(e),xe=c(e,"P",{}),v(xe).forEach(r),this.h()},h(){_(M,"name","hf:doc:metadata"),_(M,"content",qt),_(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){t(document.head,M),l(e,Le,s),l(e,ye,s),l(e,we,s),m(D,e,s),l(e,Me,s),m(A,e,s),l(e,Ee,s),l(e,i,s),m(N,i,null),t(i,qe),t(i,Q),t(i,ze),t(i,Y),t(i,Ge),t(i,Z),t(i,We),t(i,ee),t(i,Fe),t(i,te),t(i,Re),t(i,E),m(H,E,null),t(E,je),t(E,re),t(i,Ke),t(i,C),m(V,C,null),t(C,Je),t(C,ae),t(i,Xe),t(i,P),m(S,P,null),t(P,Qe),t(P,ne),l(e,Ce,s),m(B,e,s),l(e,Pe,s),l(e,T,s),m(O,T,null),t(T,Ye),t(T,oe),t(T,Ze),t(T,ce),m(U,ce,null),l(e,Ie,s),l(e,y,s),m(q,y,null),t(y,et),t(y,se),t(y,tt),t(y,ie),m(z,ie,null),l(e,De,s),l(e,$,s),m(G,$,null),t($,rt),t($,le),t($,at),t($,de),t($,nt),t($,ge),m(W,ge,null),l(e,Ae,s),l(e,x,s),m(F,x,null),t(x,ot),t(x,me),t(x,ct),t(x,pe),m(R,pe,null),l(e,Ne,s),l(e,L,s),m(j,L,null),t(L,st),t(L,ue),t(L,it),t(L,he),m(K,he,null),l(e,He,s),l(e,w,s),m(J,w,null),t(w,lt),t(w,fe),t(w,dt),t(w,ve),m(X,ve,null),l(e,Ve,s),l(e,xe,s),Se=!0},p:Ht,i(e){Se||(p(D.$$.fragment,e),p(A.$$.fragment,e),p(N.$$.fragment,e),p(H.$$.fragment,e),p(V.$$.fragment,e),p(S.$$.fragment,e),p(B.$$.fragment,e),p(O.$$.fragment,e),p(U.$$.fragment,e),p(q.$$.fragment,e),p(z.$$.fragment,e),p(G.$$.fragment,e),p(W.$$.fragment,e),p(F.$$.fragment,e),p(R.$$.fragment,e),p(j.$$.fragment,e),p(K.$$.fragment,e),p(J.$$.fragment,e),p(X.$$.fragment,e),Se=!0)},o(e){u(D.$$.fragment,e),u(A.$$.fragment,e),u(N.$$.fragment,e),u(H.$$.fragment,e),u(V.$$.fragment,e),u(S.$$.fragment,e),u(B.$$.fragment,e),u(O.$$.fragment,e),u(U.$$.fragment,e),u(q.$$.fragment,e),u(z.$$.fragment,e),u(G.$$.fragment,e),u(W.$$.fragment,e),u(F.$$.fragment,e),u(R.$$.fragment,e),u(j.$$.fragment,e),u(K.$$.fragment,e),u(J.$$.fragment,e),u(X.$$.fragment,e),Se=!1},d(e){e&&(r(Le),r(ye),r(we),r(Me),r(Ee),r(i),r(Ce),r(Pe),r(T),r(Ie),r(y),r(De),r($),r(Ae),r(x),r(Ne),r(L),r(He),r(w),r(Ve),r(xe)),r(M),h(D,e),h(A,e),h(N),h(H),h(V),h(S),h(B,e),h(O),h(U),h(q),h(z),h(G),h(W),h(F),h(R),h(j),h(K),h(J),h(X)}}}const qt='{"title":"Experiment Tracking","local":"experiment-tracking","sections":[{"title":"The Base Tracker Class","local":"accelerate.tracking.GeneralTracker","sections":[],"depth":2},{"title":"Integrated Trackers","local":"accelerate.tracking.TensorBoardTracker","sections":[],"depth":2}],"depth":1}';function zt(mt){return Vt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class jt extends St{constructor(M){super(),Bt(this,M,zt,Ut,Nt,{})}}export{jt as component};
